CVE-2015-4844

NameCVE-2015-4844
DescriptionUnspecified vulnerability in Oracle Java SE 6u101, 7u85, and 8u60, and Java SE Embedded 8u51, allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors related to 2D.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-346-1, DLA-545-1, DSA-3381-1, DSA-3465-1, DSA-3725-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
icu (PTS)jessie (security), jessie52.1-8+deb8u7fixed
stretch57.1-6+deb9u3fixed
stretch (security)57.1-6+deb9u2fixed
buster63.1-6fixed
bullseye, sid63.2-2fixed
openjdk-7 (PTS)jessie7u181-2.6.14-1~deb8u1fixed
jessie (security)7u231-2.6.19-1~deb8u2fixed
openjdk-8 (PTS)stretch8u222-b10-1~deb9u1fixed
stretch (security)8u232-b09-1~deb9u1fixed
sid8u232-b09-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
icusource(unstable)57.1-1.1
icusourcejessie52.1-8+deb8u4DSA-3725-1
icusourcewheezy4.8.1.1-12+deb7u4DLA-545-1
openjdk-6source(unstable)(unfixed)
openjdk-6sourcesqueeze6b37-1.13.9-1~deb6u1DLA-346-1
openjdk-6sourcewheezy6b38-1.13.10-1~deb7u1DSA-3465-1
openjdk-7source(unstable)7u85-2.6.1-6
openjdk-7sourcejessie7u85-2.6.1-6~deb8u1DSA-3381-1
openjdk-7sourcewheezy7u85-2.6.1-6~deb7u1DSA-3381-1
openjdk-8source(unstable)8u66-b17-1

Notes

http://bugs.icu-project.org/trac/ticket/12020
For ICU note that the original fix causes additional problems:
https://ssl.icu-project.org/trac/ticket/12020#comment:4
https://bugzilla.redhat.com/show_bug.cgi?id=1298906#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1273318
see also CVE-2016-0494, introduced in through the fix for this CVE.
Upstream commit for OpenJDK: http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/dbb4e2bdfa9e

Search for package or bug name: Reporting problems